Bug 751507 - [abrt] fedpkg-1.1-1.fc15: fedpkg-fixbranches:20:<module>:ImportError: No module named pyfedpkg
Summary: [abrt] fedpkg-1.1-1.fc15: fedpkg-fixbranches:20:<module>:ImportError: No modu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-packager
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:00507a704b1d1145965b7065a83...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-04 23:53 UTC by Mads Kiilerich
Modified: 2013-01-10 06:40 UTC (History)
4 users (show)

Fixed In Version: fedpkg-1.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-29 00:20:40 UTC
Type: ---


Attachments (Terms of Use)

Description Mads Kiilerich 2011-11-04 23:53:42 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        
comment:        ran /usr/libexec/fedpkg-fixbranches when requested ... but it seems like there is a missing dependency
component:      fedora-packager
executable:     /usr/libexec/fedpkg-fixbranches
kernel:         2.6.40.8-4.fc15.i686.PAE
os_release:     Fedora release 15 (Lovelock)
package:        fedpkg-1.1-1.fc15
reason:         fedpkg-fixbranches:20:<module>:ImportError: No module named pyfedpkg
time:           Sat Nov  5 00:51:59 2011
uid:            500
username:       mk

backtrace:
:fedpkg-fixbranches:20:<module>:ImportError: No module named pyfedpkg
:
:Traceback (most recent call last):
:  File "/usr/libexec/fedpkg-fixbranches", line 20, in <module>
:    import pyfedpkg
:ImportError: No module named pyfedpkg
:
:Local variables in innermost frame:
:argparse: <module 'argparse' from '/usr/lib/python2.7/argparse.pyc'>
:logging: <module 'logging' from '/usr/lib/python2.7/logging/__init__.pyc'>
:__builtins__: <module '__builtin__' (built-in)>
:__file__: '/usr/libexec/fedpkg-fixbranches'
:__package__: None
:sys: <module 'sys' (built-in)>
:re: <module 're' from '/usr/lib/python2.7/re.pyc'>
:__name__: '__main__'
:os: <module 'os' from '/usr/lib/python2.7/os.pyc'>
:__doc__: None

Comment 1 Jesse Keating 2011-11-05 00:02:52 UTC
This will be fixed in the next update of fedpkg.

Comment 2 Jan ONDREJ 2011-11-16 19:54:57 UTC
With current fedpkg and fedora-packager on fedora 16 there is no /usr/libexec/fedpkg-fixbranches script. When trying to add it from older versions, missing pyfedpkg file is reported.

Comment 3 Jesse Keating 2011-11-17 20:39:52 UTC
Whoops.  Just committed the fix to actually package that up, thanks.

Comment 4 Fedora Update System 2011-11-22 20:21:00 UTC
fedpkg-1.6-1.fc16,rpkg-1.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/fedpkg-1.6-1.fc16,rpkg-1.10-1.fc16

Comment 5 Fedora Update System 2011-11-23 23:33:13 UTC
Package fedpkg-1.6-1.fc16, rpkg-1.10-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedpkg-1.6-1.fc16 rpkg-1.10-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16343/fedpkg-1.6-1.fc16,rpkg-1.10-1.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-11-29 00:20:40 UTC
fedpkg-1.6-1.fc16, rpkg-1.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.